import { IApi } from './types';
/**
 * get valid type field value from package.json
 */
export declare function getTypeFromPkgJson(pkg: IApi['pkg']): string | undefined;
/**
 * get d.ts file path and package path for NPM package.json path
 */
export declare function getDtsInfoForPkgPath(pkgPath: string): {
    pkgPath: string;
    dtsPath: string;
} | null;
/**
 * get package.json path for specific NPM package
 * @see https://github.com/nodejs/node/issues/33460
 */
export declare function getDepPkgPath(dep: string, cwd: string): string;
/**
 * get all nested dependencies for specific NPM package
 */
export declare function getNestedDepsForPkg(name: string, cwd: string, externals: Record<string, string>, deps?: Record<string, string>): Record<string, string>;
